import { useAppDispatch } from '@/redux/hooks/useAppDispatch';
import { openOverviewImagesModal } from '@/redux/modal/modal.slice';
import { Button } from '@/shared/Button';
import { twMerge } from 'tailwind-merge';
import { BackgroundSelector } from './BackgroundsSelector';

// top-[calc(64px+40px+24px)] -> TOP_BAR_HEIGHT+MAP_NAVIGATION_HEIGHT+DISTANCE_FROM_MAP_NAVIGATION

export const MapAdditionalOptions = (): JSX.Element => {
  const dispatch = useAppDispatch();

  const handleBrowseOverviewImagesClick = (): void => {
    dispatch(openOverviewImagesModal());
  };

  return (
    <div className={twMerge('absolute right-6 top-[calc(64px+40px+24px)] z-10 flex')}>
      <Button className="mr-4" onClick={handleBrowseOverviewImagesClick}>
        Browse overview images
      </Button>
      <BackgroundSelector />
    </div>
  );
};
